OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
FastSweeping< SdfGridT, ExtValueT >::DilateKernel Struct Reference

Private class of FastSweeping to perform multi-threaded initialization. More...

`#include <openvdb/tools/FastSweeping.h>`

## Public Types
using | LeafRange = typename tree::LeafManager< SdfTreeT >::LeafRange

## Public Member Functions
| DilateKernel (FastSweeping &parent)
| DilateKernel (const DilateKernel &parent)=default
DilateKernel & | operator= (const DilateKernel &)=delete
void | run (int dilation, NearestNeighbors nn)

## Public Attributes
FastSweeping * | mParent
const SdfValueT | mBackground
SdfGridT::ConstPtr | mSdfGridInput

## Detailed Description

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>
struct openvdb::v11_0::tools::FastSweeping< SdfGridT, ExtValueT >::DilateKernel

Private class of FastSweeping to perform multi-threaded initialization.

## Member Typedef Documentation

## ◆ LeafRange

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

using LeafRange = typename tree::LeafManager<SdfTreeT>::LeafRange

## Constructor & Destructor Documentation

## ◆ DilateKernel() [1/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

DilateKernel | ( | FastSweeping & | parent | ) |
| inline

## ◆ DilateKernel() [2/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

DilateKernel | ( | const DilateKernel & | parent | ) |
| default

## Member Function Documentation

## ◆ operator=()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

DilateKernel & operator= | ( | const DilateKernel & |  | ) |
| delete

## ◆ run()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

void run | ( | int | dilation,
|  | NearestNeighbors | nn
| ) |  |
| inline

## Member Data Documentation

## ◆ mBackground

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

const SdfValueT mBackground

## ◆ mParent

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

FastSweeping* mParent

## ◆ mSdfGridInput

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfGridT::ConstPtr mSdfGridInput